> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/movetofrblayer.md).

# MoveToFrbLayer

### Introduction

MoveToFrbLayer can be used to move a GraphicalUiElement to a FlatRedBall layer. For information on moving objects to a layer in Glue, see the [Adding Gum Components to Layers](/flatredball/gum/how-to-add-components-to-layers.md) page. At the time of this writing, Gum objects can only exist on one FlatRedBall/Gum layer.

### Gum Layers vs FlatRedBall Layers

Gum and FlatRedBall use two completely separate rendering systems. Visual objects in Gum cannot be directly added to FlatRedBall layers. To address this, the Gum plugin provides some methods to allow Gum objects to exist on FlatRedBall layers using the MoveToFrbLayer method. Internally, this is supported by Glue generating a Gum layer for every Glue layer. This association is stored in the current Gum screen (of type GumIdb ).

### Code Example

The following code shows how to move an object named ButtonInstance to a FlatRedBall Layer named UiLayer. This code assumes that GumScreen is a valid Gum screen (which is of type GumIdb ).

```lang:c#
ButtonInstance.MoveToFrbLayer(UiLayer, GumScreen);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/movetofrblayer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
